import CryptoJS from 'crypto-js'

const securityKey = 'aubVseoLz3BkkeXKCXNzMg=='

export function serialize(obj: object): string {
  const json = JSON.stringify(obj)
  return CryptoJS.AES.encrypt(json, securityKey).toString()
}

export function deserialize(input: string): object {
  const json = CryptoJS.AES.decrypt(input, securityKey).toString(CryptoJS.enc.Utf8)
  return JSON.parse(json)
}
